# Default values for default-chart.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1
#strategy:
#  type: Recreate
gitlab:
  app:
  env:
#probe: false
probe:
  path: /
  liveness:
    periodSeconds: 30
    timeoutSeconds: 5
  readiness:
    periodSeconds: 30
    timeoutSeconds: 5
  startup:
    initialDelaySeconds: 20
    periodSeconds: 10
    timeoutSeconds: 5
    failureThreshold: 10

image:
  repository: rancher/pause
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""
env:
#  test: 1
appVersion: "1.0.0"
imagePullSecrets:
  - name: gitlab-registry

envSecrets:
  - name: env-secret

hostNetwork: false

dnsPolicy: ClusterFirst


nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: false
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  enabled: true
  type: ClusterIP
  port: 80
  udp: false


ingress:
  enabled: true
  className: ""
  annotations:
    kubernetes.io/ingress.class: alb
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTPS":443}, {"HTTP":80}]'
    alb.ingress.kubernetes.io/group.name: my-default-group
    alb.ingress.kubernetes.io/target-type: ip
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/actions.ssl-redirect: '{"Type": "redirect", "RedirectConfig": { "Protocol": "HTTPS", "Port": "443", "StatusCode": "HTTP_301"}}'
  host: chart-example.local
  paths:
    - path: /*
      pathType: ImplementationSpecific
  tls: true
#  hosts:
#    - host: chart-example.local
#      paths:
#        - path: /
#          pathType: ImplementationSpecific
#
#    - secretName: letsencrypt-prod-cert
#      hosts:
#        - chart-example.local


grpcService:
  enabled: false
  port: 9090

grpcIngress:
  enabled: false
  className: ""
  annotations:
    kubernetes.io/ingress.class: alb
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTPS":443}]'
    alb.ingress.kubernetes.io/backend-protocol-version: GRPC
    alb.ingress.kubernetes.io/group.name: my-default-group
    alb.ingress.kubernetes.io/target-type: ip
    alb.ingress.kubernetes.io/scheme: internet-facing
  host: grpc-chart-example.local
  paths:
    - path: /*
      pathType: ImplementationSpecific
  tls: true

resources:
  requests:
    cpu: 200m
  limits:
    memory: 200Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
